<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE rmi PUBLIC "-//BEA Systems, Inc.//RMI Runtime DTD 1.0//EN" "rmi.dtd">
<rmi
    name="q41bNoticiaManagerEJB.q41bNoticiaManagerBean_cmt4g5_EOImpl"
>
<cluster
    clusterable="true"
    propagate-environment="true"
>
</cluster>

<lifecycle
    dgc-policy="managed"
>
</lifecycle>

<method
    name="getListaNoticias(java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="getListaNoticiasAplicacion(java.lang.String,java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="getListaNoticiasAplicacionAuxiliar(java.lang.String,java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="recuperaDocumento(q41bObjectValue.q41bNoticias.q41bNoticiaPK,java.lang.String,java.io.OutputStream)"
    requires-transaction="true"
>
</method>
<method
    name="insertar(q41bObjectValue.q41bNoticias.q41bNoticiaPersistent)"
    requires-transaction="true"
>
</method>
<method
    name="modificar(q41bObjectValue.q41bNoticias.q41bNoticiaPersistent)"
    requires-transaction="true"
>
</method>
<method
    name="consultar(q41bObjectValue.q41bNoticias.q41bNoticiaPK)"
    requires-transaction="true"
>
</method>
<method
    name="existe(q41bObjectValue.q41bNoticias.q41bNoticiaPersistent)"
    requires-transaction="true"
>
</method>
<method
    name="existeDocumento(q41bObjectValue.q41bNoticias.q41bNoticiaPK,java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="borrar(q41bObjectValue.q41bNoticias.q41bNoticiaPersistent)"
    requires-transaction="true"
>
</method>
<method
    name="incorporar(q41bObjectValue.q41bNoticias.q41bNoticiaPersistent)"
    requires-transaction="true"
>
</method>
<method
    name="borrarRelacion(q41bObjectValue.q41bNoticias.q41bNoticiaPersistent)"
    requires-transaction="true"
>
</method>
<method
    name="getEJBHome()"
    requires-transaction="true"
>
</method>
<method
    name="getPrimaryKey()"
    requires-transaction="true"
>
</method>
<method
    name="remove()"
    requires-transaction="true"
>
</method>
<method
    name="getHandle()"
    requires-transaction="true"
>
</method>
<method
    name="isIdentical(javax.ejb.EJBObject)"
    requires-transaction="true"
>
</method>

<security
    client-authentication="supported"
    client-cert-authentication="supported"
    identity-assertion="supported"
    confidentiality="supported"
    integrity="supported"
>
</security>

</rmi>
